List environment deployments
curl --request GET \
--url https://api.qovery.com/environment/{environmentId}/deploymentHistory \
--header 'Authorization: Bearer <token>'{
"page": 1,
"page_size": 20,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"origin": "API",
"triggered_by": "<string>",
"applications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"commit": {
"created_at": "2023-11-07T05:31:56Z",
"git_commit_id": "<string>",
"tag": "v2.1.1",
"message": "<string>",
"author_name": "<string>",
"author_avatar_url": "<string>",
"commit_page_url": "<string>"
}
}
],
"containers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"image_name": "<string>",
"tag": "<string>",
"arguments": [
"<string>"
],
"entrypoint": "<string>"
}
],
"databases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>"
}
],
"jobs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"image_name": "<string>",
"tag": "<string>",
"commit": {
"created_at": "2023-11-07T05:31:56Z",
"git_commit_id": "<string>",
"tag": "v2.1.1",
"message": "<string>",
"author_name": "<string>",
"author_avatar_url": "<string>",
"commit_page_url": "<string>"
},
"schedule": {
"schedule_at": "<string>"
},
"arguments": [
"<string>"
],
"entrypoint": "<string>"
}
],
"helms": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"commit": {
"created_at": "2023-11-07T05:31:56Z",
"git_commit_id": "<string>",
"tag": "v2.1.1",
"message": "<string>",
"author_name": "<string>",
"author_avatar_url": "<string>",
"commit_page_url": "<string>"
},
"repository": {
"chart_name": "<string>",
"chart_version": "<string>"
}
}
]
}
]
}Environment Deployment History
List environment deployments
List previous and current environment deployments with the status deployment and the related services. By default it returns the 20 last results. The response is paginated. In order to request the next page, you can use the startId query parameter
GET
/
environment
/
{environmentId}
/
deploymentHistory
List environment deployments
curl --request GET \
--url https://api.qovery.com/environment/{environmentId}/deploymentHistory \
--header 'Authorization: Bearer <token>'{
"page": 1,
"page_size": 20,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"origin": "API",
"triggered_by": "<string>",
"applications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"commit": {
"created_at": "2023-11-07T05:31:56Z",
"git_commit_id": "<string>",
"tag": "v2.1.1",
"message": "<string>",
"author_name": "<string>",
"author_avatar_url": "<string>",
"commit_page_url": "<string>"
}
}
],
"containers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"image_name": "<string>",
"tag": "<string>",
"arguments": [
"<string>"
],
"entrypoint": "<string>"
}
],
"databases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>"
}
],
"jobs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"image_name": "<string>",
"tag": "<string>",
"commit": {
"created_at": "2023-11-07T05:31:56Z",
"git_commit_id": "<string>",
"tag": "v2.1.1",
"message": "<string>",
"author_name": "<string>",
"author_avatar_url": "<string>",
"commit_page_url": "<string>"
},
"schedule": {
"schedule_at": "<string>"
},
"arguments": [
"<string>"
],
"entrypoint": "<string>"
}
],
"helms": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"commit": {
"created_at": "2023-11-07T05:31:56Z",
"git_commit_id": "<string>",
"tag": "v2.1.1",
"message": "<string>",
"author_name": "<string>",
"author_avatar_url": "<string>",
"commit_page_url": "<string>"
},
"repository": {
"chart_name": "<string>",
"chart_version": "<string>"
}
}
]
}
]
}Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Environment ID
Query Parameters
Starting point after which to return results
Was this page helpful?
⌘I